let
  inherit (import ../helpers.nix) directoryImport;
  modules = directoryImport ./.;
in
{
  flake.nixosModules = {
    mars = {
      imports = builtins.attrValues {
        inherit (modules)
          flatpak
          hypr
          wayland
          ivpn
          network
          ollamaMars
          plymouth
          tuios
          wireguard
          microvm
          defenseio
          ;
      };
    };

    deimos = {
      imports = builtins.attrValues {
        inherit (modules)
          hypr
          wayland
          network
          flatpak
          plymouth
          wireguard
          microvm
          defenseio
          ;
      };
    };

    phobos = {
      imports = builtins.attrValues {
        inherit (modules)
          microvm
          defenseio
          ;
      };
    };

    ceres = {
      imports = builtins.attrValues {
        inherit (modules)
          acme
          caddy
          ceresOpenCloud
          comfyui
          defenseio
          firefly-iii
          forgejo
          jellyfin
          mastodon
          microvm
          minecraft
          projectSite
          restic
          sambaCeres
          torrent
          vaultwarden
          website
          zookeeper
          ;
      };
    };

    eris = {
      imports = builtins.attrValues {
        inherit (modules)
          acme
          caddy
          logrotate
          microvm
          sambaEris
          postgresEris
          defenseio
          ;
      };
    };

    iso = {
      imports = builtins.attrValues {
        inherit (modules)
          iso
          xserver
          ;
      };
    };

    crust = {
      imports = builtins.attrValues {
        inherit (modules)
          hardware
          programs
          ;
      };
    };

    mantle = {
      imports = builtins.attrValues {
        inherit (modules)
          sops
          xserver
          ;
      };
    };

    core = {
      imports = builtins.attrValues {
        inherit (modules)
          core
          ;
      };
    };
  };
}
